CMSIS-DSP: arm_vec_math.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_vec_math.h File Reference

## Functions

__STATIC_INLINE float32x4_t | arm_vec_exponent_f32 (float32x4_t x, int32_t nb)
| Vectorized integer exponentiation. More...
__STATIC_INLINE float32x4_t | __arm_vec_sqrt_f32_neon (float32x4_t x)
__STATIC_INLINE int16x8_t | __arm_vec_sqrt_q15_neon (int16x8_t vec)
__STATIC_INLINE int32x4_t | __arm_vec_sqrt_q31_neon (int32x4_t vec)

## Function Documentation

__STATIC_INLINE float32x4_t __arm_vec_sqrt_f32_neon | ( | float32x4_t | x | ) |

__STATIC_INLINE int16x8_t __arm_vec_sqrt_q15_neon | ( | int16x8_t | vec | ) |

__STATIC_INLINE int32x4_t __arm_vec_sqrt_q31_neon | ( | int32x4_t | vec | ) |

__STATIC_INLINE float32x4_t arm_vec_exponent_f32 | ( | float32x4_t | x,
|  | int32_t | nb
| ) |  |

Parameters

  [in] | x | value
  [in] | nb | integer exponent >= 1

Returns
  x^nb